Package com.collibra.catalog.api.component.businessmodel.dto

# Class FindDataElementsRequest

Object
PagedRequest
FindDataElementsRequest

All Implemented Interfaces:
  `Serializable`

public class FindDataElementsRequest extends PagedRequest
The search criteria for data elements in a data set.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindDataElementsRequest.Builder`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindDataElementsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindDataElementsRequest.Builder`
  `builder()`
  Creates a `FindDataElementsRequest` builder.
  `boolean`
  `equals(Object o)`
  `UUID`
  `getDataSetId()`
  `int`
  `hashCode()`
  `void`
  `setDataSetId(UUID dataSetId)`
  Sets the id of the data set to find the data elements in.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `canEqual, getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindDataElementsRequest

    public FindDataElementsRequest()

- ## Method Details

  - ### setDataSetId

    public void setDataSetId(UUID dataSetId)
    Sets the id of the data set to find the data elements in.
    Parameters:
      `dataSetId` - The id of the data set to find the data elements in.

  - ### getDataSetId

    public UUID getDataSetId()

  - ### builder

    public static FindDataElementsRequest.Builder builder()
    Creates a `FindDataElementsRequest` builder.
    Returns:
      The created builder.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`